Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 153646 - Some data is missing in CPU snapshot
Some data is missing in CPU snapshot
Status: VERIFIED FIXED
Product: profiler
Classification: Unclassified
Component: Base
6.x
All All
: P1 (vote)
: 6.x
Assigned To: Tomas Hurka
issues@profiler
65fixes1-verified
: REGRESSION
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-21 14:32 UTC by Tomas Hurka
Modified: 2009-02-19 22:55 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Hurka 2008-11-21 14:32:47 UTC
Sometimes profiler does not have all data in CPU snapshot.
Steps to reproduce:
1) take CumputePrimeNumberWebApp from tutorial  http://www.javapassion.com/handsonlabs/nbprofilerperformance/index.html#Exercise_4
2) select Perfotmance.processRequest() as root method 
3) start application
4) wait till application is started and web page is displayed
5) open Live results window
6) there should be only one method: Perfotmance.processRequest(), invoked one time
7) take snapshot
8) snapshot contains Perfotmance.processRequest()
9) press 'Submit' in web form
10) go to live results window and wait for new data from computation
11) live results window will contain
  1x PrimeNumbers.calculate()
  2x Performance.processRequest()
  1x Performance.doCountPrimeNumbers()
  1x PrimeNumbers.<init>
12) take snapshot
13) snapshot will contain only
  2x Performance.processRequest()
Comment 1 Tomas Hurka 2008-11-21 15:49:52 UTC
It works fine in NB 6.1
Comment 2 Tomas Hurka 2008-11-21 16:10:09 UTC
Fixed in profiler-main
changeset:   108182:fb41b93fd043
user:        Tomas Hurka <thurka@netbeans.org>
date:        Fri Nov 21 16:59:00 2008 +0100
summary:     bugfix #153646, if existingChild is not null, compParent must be existingChild, otherwise childs of node are not added to the snapshot

Comment 3 Quality Engineering 2008-11-22 04:45:00 UTC
Integrated into 'main-golden', will be available in build *200811220201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/fb41b93fd043
User: Tomas Hurka <thurka@netbeans.org>
Log: bugfix #153646, if existingChild is not null, compParent must be existingChild, otherwise childs of node are not added to the snapshot
Comment 4 pgebauer 2008-11-24 09:31:18 UTC
The issue didn't pass the nomination process by nomination cut-off date. It has been marked as 65fixes2-candidate.
Comment 5 mariadavydova 2008-11-24 16:03:23 UTC
Verified in Build 200811240201
Comment 6 pslechta 2008-11-25 13:27:12 UTC
The fix was ported into release65_fixes repository.
(Marked as 65fixes1-candidate and it is P1.)

http://hg.netbeans.org/release65_fixes/rev/7727041b5c2b
Comment 7 pgebauer 2008-11-25 13:28:36 UTC
Based on the offline discussion, the issue will be part of 65patch1.

The fix has been ported into the release65_fixes repository.

http://hg.netbeans.org/release65_fixes/rev/7ce3eeb839e2


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo